Loading...
Searching...
No Matches
irr::video::SColorHSL Class Reference

Class representing a color in HSL format. More...

`#include <SColor.h>`

## Public Member Functions

| SColorHSL (f32 h=0.f, f32 s=0.f, f32 l=0.f)
void | fromRGB (const SColorf &color)
void | toRGB (SColorf &color) const

## Public Attributes

f32 | Hue
f32 | Luminance
f32 | Saturation

## Detailed Description

Class representing a color in HSL format.

The color values for hue, saturation, luminance are stored in 32bit floating point variables. Hue is in range [0,360], Luminance and Saturation are in percent [0,100]

Definition at line 592 of file SColor.h.

## Constructor & Destructor Documentation

## SColorHSL()

irr::video::SColorHSL::SColorHSL | ( | f32 | h = 0.f,
|  | f32 | s = 0.f,
|  | f32 | l = 0.f )

inline

Definition at line 595 of file SColor.h.

References Hue, Luminance, and Saturation.

## Member Function Documentation

## fromRGB()

void irr::video::SColorHSL::fromRGB | ( | const SColorf & | color | ) |

inline

Definition at line 610 of file SColor.h.

References irr::core::equals(), irr::video::SColorf::getBlue(), irr::video::SColorf::getGreen(), irr::video::SColorf::getRed(), Hue, Luminance, irr::core::max_(), irr::core::min_(), and Saturation.

## toRGB()

void irr::video::SColorHSL::toRGB | ( | SColorf & | color | ) | const

inline

Definition at line 646 of file SColor.h.

References Hue, irr::core::iszero(), Luminance, Saturation, and irr::video::SColorf::set().

## Member Data Documentation

## Hue

f32 irr::video::SColorHSL::Hue

Definition at line 601 of file SColor.h.

Referenced by SColorHSL(), fromRGB(), and toRGB().

## Luminance

f32 irr::video::SColorHSL::Luminance

Definition at line 603 of file SColor.h.

Referenced by SColorHSL(), fromRGB(), and toRGB().

## Saturation

f32 irr::video::SColorHSL::Saturation

Definition at line 602 of file SColor.h.

Referenced by SColorHSL(), fromRGB(), and toRGB().

The documentation for this class was generated from the following file:

- SColor.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0